//////////////////////////////////////////////////////////
//  Metamorph by Daniel Switkin, metamorph@switkin.com
//  Last revised: 3/30/99
//
//  You may do anything you like with this except for
//  commercial applications. If you like it please drop
//  me a line.
//////////////////////////////////////////////////////////

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include "targa.h"

// Some data structures
typedef struct line {
	int x1, y1;
	int x2, y2;
} line;

typedef struct point {
	double x, y;
} point;

typedef struct vector {
	double x, y;
} vector;

// Constants for line weighting
#define WEIGHT_A 0.5
#define WEIGHT_B 1.0
#define WEIGHT_P 0.2

// Background color
#define BACKGROUND 255

// Mmm, global...
char startfile[255];
char endfile[255];
char linefile[255];
char finalfile[255];
int framecount, linecount;
line *startlines;
line *endlines;
Targa *start, *end;
Targa **from, **to;
