//////////////////////////////////////////////////////////
//  Targa library by Daniel Switkin, utilities@switkin.com
//  Last revised: 3/30/99
//
//  You may do anything you like with this but you must
//  leave this comment in the source, and preferably
//  drop me an email if you use it.
//////////////////////////////////////////////////////////

#ifndef TARGA_H
#define TARGA_H
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

enum {
    STANDARD = 0,
    COMPRESSED = 1,
    TOP_DOWN = 2,
    PALETTE = 4,
    ALPHA = 8,
    OTHER = 16
};

class Targa {
	public:
		Targa();
		bool New(char *name, int width, int height);
		bool Save();
		bool Load(char *name, bool linebyline);
		void NextScanLine();
		~Targa();
		
		int height, width;
		unsigned char header[18], *scanline;
		unsigned char **data;
		unsigned char r, g, b;
	private:
	    char name[256];
	    FILE *fp;
	    unsigned char compressed, normal;
    	unsigned int properties;
};

#endif